/***************************************************************************
 *   Copyright (C) 2005 by Sebastian Beck                                  *
 *   bastl@server                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MASCHINEN_H
#define MASCHINEN_H

#include "maschinendialog.h"

#include <qwidget.h>

#include <kprocess.h>

class MaschinenToolView: public Maschinendialog 
{
Q_OBJECT

public:
	
	MaschinenToolView( QWidget * parent );
	
	KProcess *x_rechts;
	KProcess *x_links;
	KProcess *y_hinten;
	KProcess *y_vorne;
	KProcess *z_oben;
	KProcess *z_unten;
	
	int pos;
	bool SAVED, M_COMBO;
	QCString steuerdat, maschinendatei, werkzeugdat;
	Q_UINT8 s_x, s_y, s_z;
	
	virtual ~MaschinenToolView();

private slots:
	void closeEvent( QCloseEvent* );
	
public slots:
	virtual void auswahl_activated();
	virtual void name_changed();
	virtual void speichern_clicked();
	virtual void datei_clicked();
	virtual void datei2_clicked();
	virtual void changed();
	virtual void x_clicked();
	virtual void z_clicked();
	virtual void y_clicked();
};

#endif
